/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.rdm.web.viewlet.MyProjects");

dojo.require("com.ibm.rdm.web.common.UpdateContext");
dojo.require("com.ibm.rdm.web.project.ProjectSection");
dojo.require("com.ibm.rdm.web.viewlet.RRCViewlet");

(function() {

var RRCViewlet = com.ibm.rdm.web.viewlet.RRCViewlet;

dojo.declare("com.ibm.rdm.web.viewlet.MyProjects",
	RRCViewlet, {
	
	templatePath: dojo.moduleUrl("com.ibm.rdm.web", "viewlet/templates/MyProjects.html"),

	postCreate: function() {
		this._projectSection = new com.ibm.rdm.web.project.ProjectSection({
			_headerTitle: this._viewletContainer._headerPrimary,
            _viewlet: this,
            site: this.getSite()
        }, this._projectSectionNode);
	},
	
	refresh: function() {
		this.inherited(arguments);
		if (this.isInitialized()) {
			com.ibm.rdm.web.common.UpdateContext.refreshHasOccurred();
			this._projectSection.startup();
		}
		else {
			this.waitForInit(dojo.hitch(this, this.refresh));
		}
	}
});

})();
