/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.rdm.web.viewlet.ReqWithImplWorkItems");

dojo.require("com.ibm.team.dashboard.web.ui.Viewlet");
dojo.require("com.ibm.rdm.web.search.results.ReqWithImplWorkItems");

(function() {

var Viewlet = com.ibm.team.dashboard.web.ui.Viewlet;

dojo.declare("com.ibm.rdm.web.viewlet.ReqWithImplWorkItems", Viewlet, {
	
	templatePath: dojo.moduleUrl("com.ibm.rdm.web", "viewlet/templates/ReqWithImplWorkItems.html"),

	postCreate: function() {
		this._messages = dojo.i18n.getLocalization("com.ibm.rdm.web.common", "common");
		
		this._reqWithImplWorkItems = new com.ibm.rdm.web.search.results.ReqWithImplWorkItems({
			_headerTitle: this._messages.requirementsLoading,
			_viewlet: this,
			queryID:"requirementsImplementedBy" //Can be of type "requirementsValidatedBy" or "requirementsImplementedBy"
		}, this._reqWithImplWorkItemsSectionNode);
		
		this._reqWithImplWorkItems.startup();
	}
});
})();
