/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
    "loading": "Loading...",
	"apply": "Apply",
	// Artifact types start ...
	"glossary": "Glossary",
	"term": "Term",
	"process": "Business Process Diagram",
	"useCaseDiagram": "Use Case Diagram",
	"useCase": "Use Case",
	"actor": "Actor",
	"requirement": "Requirement",
	"part": "User Interface Part",
	"sketch": "User Interface Sketch",
	"storyBoard": "Storyboard",
	"screenFlow": "Screen Flow",
	"richTextDocument": "Document",
	"review": "Review",
	"baseline": "Baseline",
	"collection": "Collection",
	// ... end of Artifact types.
	// Uploaded types start ...
	"zipFile": "Compressed file (ZIP)",
	"xmlFile": "Extensible Markup Language (XML)",
	"htmlFile": "Hypertext Markup Languate (HTML)",
	"image": "Image",
	"javascriptFile": "JavaScript file",
	"microsoftExcelDocument": "Microsoft Excel Document",
	"microsoftPowerPointDocument": "Microsoft PowerPoint Document",
	"microsoftProjectDocument": "Microsoft Project Document",
	"microsoftWordDocument": "Microsoft Word Document",
	"pdfDocument": "PDF Document",
	"plainText": "Plain Text (TXT)",
	"ravenFlow": "Ravenflow",
	"realTimeTransportProtocol": "Real-Time Transport Protocol",
	"rtfFile": "Rich Text Format",
	"tapeArchive": "Tape Archive",
	"texFormat": "TeX Format",
	"video": "Video",
	"iRiseSimulation": "iRise Simulation",
	"openDocumentPresentation": "Open Document Presentation",
	"openDocumentSpreadsheet": "Open Document Spreadsheet",
	"openDocumentText": "Open Document Text",
	// ... end of Uploaded types.
	
	// Special types
	"placeholderLink": "Placeholder Link",
	"externalURL": "External URL",
	"imageTypes": "Image Types",
	"videoTypes": "Video Types",
	"otherTypes": "Other Types",
	
	// Image/Video types
	"jpeImage": "JPEG Image (JPE)",
	"jpegImage": "JPEG Image (JPEG)",
	"jpgImage": "JPEG Image (JPG)",
	"gifImage": "GIF Image",
	"pngImage": "PNG Image",
	"iconImage": "Icon Image",
	"bitmapImage": "Bitmap Image",
	"mp4Video": "MP4 Video",
	"aviVideo": "AVI Video",
	"mvVideo": "MV Video",
	"movVideo": "QuickTime Video (MOV)",
	"qtVideo": "QuickTime Video (QT)",
	"mpegVideo": "MPEG Video (MPEG)",
	"mpgVideo": "MPEG Video (MPG)",
	
	// Other strings
    "expandAlt": "Expand Section",
    "expandTooltip": "Expand",
    "collapseAlt": "Collapse Section",
    "collapseTooltip": "Collapse",
	"placeholder": "Placeholder",
	"uploaded": "Uploaded",
    "expand": "Expand",
    "collapse": "Collapse",
    "resourceDoesNotExist": "Resource does not exist or you dont have permission: ${0}",
    "noUsersFound": "No users found",
    "any": "Any",
    "ieUnsupportedXMLParserLine1": "Your system does not have the required browser components installed.",
    "ieUnsupportedXMLParserLine2": "Please refer to the IBM Rational Requirements Composer release notes documentation.",
    "ieUnsupportedXMLParserLine3": "If you continue loading the application you may experience undesired system behaviour.",
    "ieUnsupportedXMLParserLine4": "Would you still like to continue?",
    "unsupportedBrowserLine1": "Your browser is not supported by this application.",
    "unsupportedBrowserLine2": "Please refer to the IBM Rational Requirements Composer release notes.",
    "errorXQueryExRes": "${0}\nXquery to get extended resources failed",
    "errorPerformGet": "${0} from ResourceRetriever._performGetRequest for resource ${1}",
    "errorSvcDocParser": "Error occurred in ServiceDocumentParser trying to parse the XML in parseResponse method",
    
    // User Dash Viewlet Strings
    "myProjects": "My Projects (${0})",
    "artifactsLoading": "Artifacts loading...",
    "commentsLoading": "Comments loading...",
    "requirementsLoading": "Requirements loading...",
    
    "noProject": "Unable to find project in the repository: ",

	"refresh": "Refresh",
	
	//User Hover
	"project": "Project: ",
	"role:": "Role: ",
	"roles": "Roles: ",
	"seperator": ", ",
	
	"showingMaxResult1": "The application is capable of showing only the first 512 artifacts.",
	"showingMaxResult2": "Please narrow down your search criteria in order to decrease the result set.",
	"queryLimitation": "Warning: Query Reached Maximum Number of Artifacts.",
	
	"next": "Next",
	"previous": "Previous",
	"pageNOfM": "Page ${0} of ${1}",
	
	"loginPopupBlockedTitle": "Login popup blocked",
	"loginPopupBlocked": "It appears that your browser has blocked the login pop-up. Click here to continue: ",
	"login": "Login"
})
