/*
 * Copyright (c) 2007, 2009. IBM Corporation
 * All rights reserved.
 */
(function() {
dojo.provide("com.ibm.rdm.web.pages.Application");
dojo.require("com.ibm.rdm.web.common.bootstrap");
dojo.require("jazz.app._JazzApplication"); //$NON-NLS-1$
dojo.require("net.jazz.ajax.ui.PageContainer");
dojo.require("net.jazz.ajax.ui.PageList");
dojo.require("net.jazz.ajax.ui.PlatformUI");
dojo.require("net.jazz.ajax.ui.ProgressIndicator");
dojo.require("com.ibm.rdm.web.pages.WebUIinitializer");

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.pages", "application");

var UriHelper = com.ibm.rdm.web.common.UriHelper;
var messages = dojo.i18n.getLocalization("com.ibm.rdm.web.pages", "application");

function workbenchRootNode(){
    // summary:
    //      helper to get workbench root node
    return net.jazz.ajax.ui.PlatformUI.getWorkbench().rootNode();
}

function isWrkbenchStarted(){
	return net.jazz.ajax.ui.PlatformUI.getWorkbench().__isStarted;
}

dojo.declare("com.ibm.rdm.web.pages.Application", jazz.app._JazzApplication, {
	
	productName: messages.RRCWebAppName,
	productIconSmall: dojo.moduleUrl ("com.ibm.rdm.web.pages", "images/RRC_16.png"),
	productIconLarge: dojo.moduleUrl ("com.ibm.rdm.web.pages", "images/RRC_31.png"),
	
    // contract with _Application
    constructor: function() {
		this.setName(messages.RRCWebAppName);
		this.config.productTitleImg = dojo.moduleUrl ("com.ibm.rdm.web.pages", "images/Rational-Requirement-Composer.png");
		com.ibm.rdm.web.pages.WebUIinitializer.init(this);
    }
});

})();
